package com.gic.enterprise.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 小程序自定义页面装修
 * @ClassName: AppletCustomPageDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/25 11:41 AM 
 */
public class AppletCustomPageDTO implements Serializable{
    private static final long serialVersionUID = 8506961613189402244L;

    /**
     *
     */
    private Integer pageId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     *
     */
    private String title;

    /**
     * 进入条件，0不限，1开卡会员，2认证会员
     */
    private Integer entryCondition;

    /**
     * 快捷导航开关 1:开启 0:关闭 默认开启
     */
    private Integer quickGuideSwitch;

    /**
     * 小程序标题
     */
    private String appletTitle;

    /**
     * 背景颜色  0 灰色 1 白色 ，默认灰色（会员中心页面、积分服务页面、自定义页面、商城装首页 有该设置）2:背景图片（自定义页面有）
     */
    private Integer backgroundType;

    /**
     * 自定义页面有。页面背景是图片的时候有值
     */
    private String backgroundImage;

    /**
     * 背景颜色 1:灰色 2:白色 ，默认灰色（会员中心页面、积分服务页面、自定义页面、商城装首页 有该设置）
     */
    private String backgroundColor;

    /**
     * 1:自定义 2:会员中心,3:客服页面
     */
    private Integer pageType;

    /**
     * 1开启，0无效， 2关闭
     */
    private Integer status;

    /**
     * 1:小程序 2:服务号
     */
    private Integer appType;

    /**
     * 小程序/服务号的key
     */
    private String appId;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 配置json
     */
    private String setting;
    /**
     * jsonArray格式字符串，用于详情接口，存放所有的组件
     */
    private String componentStr;



    /**
     * 人群筛选器ID（积分服务页面专用
     */
    private Long crowdWidgetId;

    /**
     * 页面序号，如果开启页面有多个，根据序号取优先级（积分服务页面专用）。序号越大，优先级越大，如果相同，则编辑时间越晚，优先级越大
     */
    private Integer serialNumber;

    /**
     * 选择了人群筛选器，区分全部人群还是部分人群 1:全部 2:部分。冗余字段，为了页面列表展示
     */
    private Integer crowdWidgetType;

    public Integer getPageId() {
        return pageId;
    }

    public void setPageId(Integer pageId) {
        this.pageId = pageId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getEntryCondition() {
        return entryCondition;
    }

    public void setEntryCondition(Integer entryCondition) {
        this.entryCondition = entryCondition;
    }

    public Integer getPageType() {
        return pageType;
    }

    public void setPageType(Integer pageType) {
        this.pageType = pageType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getAppType() {
        return appType;
    }

    public void setAppType(Integer appType) {
        this.appType = appType;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getSetting() {
        return setting;
    }

    public void setSetting(String setting) {
        this.setting = setting;
    }

    public String getComponentStr() {
        return componentStr;
    }

    public void setComponentStr(String componentStr) {
        this.componentStr = componentStr;
    }

    public String getBackgroundColor() {
        return backgroundColor;
    }

    public AppletCustomPageDTO setBackgroundColor(String backgroundColor) {
        this.backgroundColor = backgroundColor;
        return this;
    }

    public Integer getQuickGuideSwitch() {
        return quickGuideSwitch;
    }

    public AppletCustomPageDTO setQuickGuideSwitch(Integer quickGuideSwitch) {
        this.quickGuideSwitch = quickGuideSwitch;
        return this;
    }

    public Long getCrowdWidgetId() {
        return crowdWidgetId;
    }

    public AppletCustomPageDTO setCrowdWidgetId(Long crowdWidgetId) {
        this.crowdWidgetId = crowdWidgetId;
        return this;
    }

    public Integer getSerialNumber() {
        return serialNumber;
    }

    public AppletCustomPageDTO setSerialNumber(Integer serialNumber) {
        this.serialNumber = serialNumber;
        return this;
    }

    public Integer getCrowdWidgetType() {
        if (crowdWidgetId == null) {
            //默认为全部
            return 1;
        }
        return crowdWidgetType;
    }

    public AppletCustomPageDTO setCrowdWidgetType(Integer crowdWidgetType) {
        this.crowdWidgetType = crowdWidgetType;
        return this;
    }

    public Integer getBackgroundType() {
        return backgroundType;
    }

    public AppletCustomPageDTO setBackgroundType(Integer backgroundType) {
        this.backgroundType = backgroundType;
        return this;
    }

    public String getBackgroundImage() {
        return backgroundImage;
    }

    public AppletCustomPageDTO setBackgroundImage(String backgroundImage) {
        this.backgroundImage = backgroundImage;
        return this;
    }

    public String getAppletTitle() {
        return appletTitle;
    }

    public AppletCustomPageDTO setAppletTitle(String appletTitle) {
        this.appletTitle = appletTitle;
        return this;
    }

    @Override
    public String toString() {
        return "AppletCustomPageDTO{" +
                "pageId=" + pageId +
                ", enterpriseId=" + enterpriseId +
                ", title='" + title + '\'' +
                ", entryCondition=" + entryCondition +
                ", quickGuideSwitch=" + quickGuideSwitch +
                ", backgroundColor='" + backgroundColor + '\'' +
                ", pageType=" + pageType +
                ", status=" + status +
                ", appType=" + appType +
                ", appId='" + appId + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", setting='" + setting + '\'' +
                ", componentStr='" + componentStr + '\'' +
                ", crowdWidgetId=" + crowdWidgetId +
                ", serialNumber=" + serialNumber +
                ", crowdWidgetType=" + crowdWidgetType +
                ", backgroundType=" + backgroundType +
                ", backgroundImage=" + backgroundImage +
                ", appletTitle=" + appletTitle +
                '}';
    }
}
