package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.CustomGuideTopDTO;

/**
 * 小程序装修-顶部导航
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/6/2 1:58 PM 
 */
public interface CustomGuideTopApiService {
    /**
     * 新增/更新，根据商户ID和小程序key唯一确认一条数据
     * @param guideTopColor 导航颜色，#ffffff
     * @param titleColor 标题颜色1:黑色 2:白色
     * @param enterpriseId 商户ID
     * @param appKey 小程序key
     * @return
     */
    ServiceResponse<Void> saveCustomGuideTop(String guideTopColor, Integer titleColor, Integer enterpriseId, String appKey);

    /**
     * 查询顶部导航配置信息
     * @param enterpriseId
     * @param appKey
     * @return
     */
    ServiceResponse<CustomGuideTopDTO> getCustomGuideTop(Integer enterpriseId, String appKey);
}
