package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabCustomGuideTop;
import org.apache.ibatis.annotations.Param;

/**
 * 小程序装修-顶部导航
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/6/3 9:32 AM 
 */
public interface TabCustomGuideTopMapper {

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabCustomGuideTop record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabCustomGuideTop record);

    /**
     * 根据主键查询
     *
     * @param guideTopId 主键
     * @return 实体对象
     */
    TabCustomGuideTop selectByPrimaryKey(Integer guideTopId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabCustomGuideTop record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabCustomGuideTop record);

    /**
     * 详情
     * @param enterpriseId
     * @param appKey
     * @return
     */
    TabCustomGuideTop getCustomGuideTop(@Param("enterpriseId") Integer enterpriseId, @Param("appKey") String appKey);
}